accounts/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views
from accounts.views import signup
from django.contrib.auth.views import LoginView, LogoutView

urlpatterns = [
    path("login/", LoginView.as_view(), name="login"),
    path("logout/", LogoutView.as_view(), name="logout"),
    path("signup/", signup, name="signup"),
]

sampleproject/urls.py
from django.contrib import admin
from django.urls import path, include, reverse_lazy
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic.base import RedirectView


urlpatterns = [
    path('admin/', admin.site.urls),
    path('samples/', include('samples.urls')),
    path('accounts/', include('accounts.urls')),
    path("", RedirectView.as_view(url=reverse_lazy("homepage")))
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

samples/urls.py
from django.urls import path
from samples.views import SampleListView, homepage, show_key

urlpatterns = [
    path("homepage/", homepage, name="homepage"),
    path("", SampleListView.as_view(), name="list_samples"),
    path("<str:key>/keys/", show_key, name="show_keys")
    ]

accounts/models.py
from django.db import models

# Create your models here.

samples/models.py
from django.db import models
from django.conf import settings

KEY_CHOICES = (
    ('c', 'C'),
    ('d', 'D'),
    ('e', 'E'),
    ('f', 'F'),
    ('g', 'G'),
    ('a', 'A'),
    ('b', 'B'),
)

class Key(models.Model):
    name = models.CharField(max_length=2, choices=KEY_CHOICES, default="c")

    def __str__(self):
        return self.name

class Sample(models.Model):
    name = models.CharField(max_length=100)
    audio = models.FileField(upload_to='audio/', blank=True)
    type = models.TextField()
    key = models.ForeignKey(Key, related_name="samples", on_delete=models.PROTECT)
    artists = models.ManyToManyField("Artist", related_name="samples")

    def __str__(self):
        return self.name

class Artist(models.Model):
    name = models.CharField(max_length=100)

    def __str__(self):
        return self.name

class Home(models.Model):
    name = models.CharField(max_length=100)

    def __str__(self):
        return self.name

samples/forms.py
from django import forms
from samples.models import Sample, Key


# class SampleCreateForm(forms.ModelForm):
#     class Meta:
#         model = Sample



class KeyForm(forms.ModelForm):
    class Meta:
        model = Key
        fields = ['name']

accounts/views.py
from django.shortcuts import redirect, render
from django.contrib.auth import authenticate, login
from django.contrib.auth.forms import UserCreationForm


def signup(request):
    if request.method == "POST":
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect("homepage")

    else:
        form = UserCreationForm()

    return render(request, "registration/signup.html", {"form": form})

samples/views.py
from re import template
from django.shortcuts import render
from samples.models import Home, Sample, Key
from samples.forms import KeyForm
from django.views.generic.edit import CreateView
from django.contrib.auth.decorators import login_required
from django.contrib.auth.mixins import LoginRequiredMixin
from django.views.generic.list import ListView


class SampleListView(ListView):
    model = Sample
    template_name = "samples/list.html"


class CreateKeyView(CreateView):
    model = Key
    form_class = KeyForm
    template_name = 'samples/template.html'
    success_url = 'samples/success.html'

def homepage(request):
    homepage = Home.objects.all()
    context = {"homepage": homepage}

    return render(request, "samples/homepage.html", context)


def show_key(request, key):
    key = Sample.objects.filter(key=key)
    context = {
        "key": key,
    }
    return render(request, "samples/key.html", context)

samples/templates/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Usample</title>
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
</head>
<body>
    <div class="banner">
        <div class="navbar">
            {% if user.is_authenticated %}
            {% load static %}
            <img src="{% static 'css/images/logo.png' %}" class="logo">
            <ul>
                <li><a href="{% url "list_samples" %}"><span></span>Sounds</a></li>
                <li><a href="#"><span></span>Effects</a></li>
                <li><a href="#"><span></span>Genres</a></li>
                <li><a href="#"><span></span>Artists</a></li>
                <li><a href="#"><span></span>Filter By Key</a></li>

                {% comment %} <div class="dropdown">
                    <button class="dropbtn">Search By Key</button>
                <div class="dropdown-content">
                    <li><a href="#">C</a></li>
                </div> {% endcomment %}
                <li>
                    <a href="#"><button type="button"><span></span>My Account</a>
                </li>
            {% else %}
                <li class="navbar">
                    <a href="{% url 'signup' %}">Sign Up</a>
                </li>
                <li class="navbar">
                    <a href="{% url 'login' %}">Login</a>
                </li>
            {% endif %}
            </ul>
        </div>
    </div>
    {% block content %}
    {% endblock %}
    <header>
        <nav>
        </nav>
    </header>
    <main>
    </main>
</body>
</html>

samples/templates/samples/homepage.html
{% extends '../base.html' %}

{% block content %}
{% load static %}
    <title>Homepage</title>
    <link rel="stylesheet" href="{% static 'css/home.css' %}">
    <div class="content">
        <h1>Find Your Sound</h1>
        <p>Custome made Chords, Pads, Effects<br>and much more.</p>
        <div>
            <ul>
                <li>
                    <a href="{% url "list_samples" %}"><button type="button"><span></span>Browse Sounds</button></a>
                </li>
            </ul>
        </div>
{% endblock %}

samples/templates/samples/key.html
{% extends '../base.html' %}

{% block content %}
{% load static %}
<title>Search By Key</title>
    <link rel="stylesheet" href="{% static 'css/list.css' %}">
    <div class="samples">
        <div class="list">
            <h1>yes but why</h1>
        {% for sample in key %}
            <p>{{ sample.name }}</p>
            <ul>
                <li><a href="{{ sample.artist }}"><span></span>Download</a></li>
            </ul>
            <div class="controls">
                <audio controls>
                    <source src="{{ sample.audio.url }}" type="audio/wav">
                </audio>
            </div>


        {% endfor %}
        </div>
    </div>
{% endblock %}

samples/templates/samples/list.html
{% extends '../base.html' %}

{% block content %}
{% load static %}
    <title>Browse Samples</title>
    <link rel="stylesheet" href="{% static 'css/list.css' %}">
    <div class="samples">
        <h1>Pads</h1>
        <div class="list">
        {% for sample in sample_list %}
            <p>{{ sample.name }}</p>
            <p><a href="{% url 'show_keys' sample.key.pk %}">{{ sample.key }}</a></p>
            <ul>
                <li><a href="{{ sample.artist }}"><span></span>Download</a></li>
            </ul>
            <div class="controls">
                <audio controls>
                    <source src="{{ sample.audio.url }}" type="audio/wav">
                </audio>
            </div>


        {% endfor %}
        </div>
    </div>
{% endblock %}